<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>Maintain HTML Body</title>
<link rel="stylesheet" type="text/css" href="style.css">
<link
	href='https://fonts.googleapis.com/css?family=Lato:400,400italic,300'
	rel='stylesheet' type='text/css'>

<!-- Unique items in this code include:
       - Three different buttons
       - Buttons are shown based on PHP code rather than JavaScript.
       - This program selects, inserts and updates
       - Uses POST rather than GET
       - shows redirect using PHP header
 -->

</head>

<body>

<?php
$hxbody = "";
$hxbodyname = "";
$postAction = "";

// Process the submitted form
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    
    $postAction = $_POST['action'];
    If ($_POST['action'] == 'Update') {
        
        $hxbodyname = $_POST['hxbodyname'];
        $hxbody = $_POST['HTMLBody'];
        
        // Update the record
        $conn = "*LOCAL";
        $i5link = db2_connect($conn, "", "");
        
        // Prepare SQL statement - Update record
        
        $sql = "Update gregc.htmlbdm set hxbodyname= '$hxbodyname', hxbody='$hxbody' WHERE hxbodyname = '$hxbodyname'";
        // echo $sql;
        // Execute SQL statement
        $stmt = db2_exec($i5link, $sql) or die("<p>Failed query:" . db2_stmt_error() . ":" . db2_stmt_errormsg() . "</p>");
        
        header("Location: UploadHTMLBodySuccess.html");
        exit();
    }
    
    If ($_POST['action'] == 'Insert') {
        
        $hxbodyname = $_POST['hxbodyname'];
        $hxbody = $_POST['HTMLBody'];
        
        // Insert the record
        $conn = "*LOCAL";
        $i5link = db2_connect($conn, "", "");
        
        // Prepare SQL statement - Update record
        
        $sql = "Insert into gregc.HTMLBDM (HXBODYNAME,HXBODY) values('$hxbodyname','$hxbody')";
        // echo $sql;
        // Execute SQL statement
        $stmt = db2_exec($i5link, $sql) or die("<p>Failed query:" . db2_stmt_error() . ":" . db2_stmt_errormsg() . "</p>");
        
        header("Location: UploadHTMLBodySuccess.html");
        exit();
    }
    
    If ($_POST['action'] == 'Retrieve') {
        // Set parameters and call generate program
        $hxbodyname = $_POST['hxbodyname'];
        
        // DB2 Version
        $conn = "*LOCAL";
        $i5link = db2_connect($conn, "", "");
        /* Construct the SQL statement */
        $sql = "SELECT * FROM gregc.htmlbdm where hxbodyname = '$hxbodyname'";
        // echo $sql;
        /* Prepare, bind and execute the DB2 SQL statement */
        $stmt = db2_prepare($i5link, $sql);
        
        $flds = db2_num_fields($stmt);
        
        // Execute statement
        
        $result = db2_execute($stmt);
        
        if (! $result) {
            echo 'The db2 execute failed. ';
            echo 'SQLSTATE value: ' . db2_stmt_error();
            echo ' Message: ' . db2_stmt_errormsg();
            echo '<br>' . $sql;
        } else {
            $row = db2_fetch_array($stmt);
            $hxbodyname = $row[0];
            $hxbody = $row[1];
            if ($row[0] == '') {
                $postAction = "";
            }
        }
    }
}

?>

	<div class="body-container">
		<img src="Drawing.png" alt="Your Logo Here" height="92" width="400"
			align="right">

		<div class="text-container">


			<h1>Maintain HTML Body</h1>

			<!-- This is a form that the user sees -->
			<form method="post">
				<table class="table-noline">

					<tr>
						<!-- Standard text field -->
						<td><label for="hxbodyname">HTML Body Name</label></td>
						<td><input id="hxbodyname" name="hxbodyname"
							value="<?php echo trim($hxbodyname)?>" /></td>
					</tr>

					<tr>
						<!-- Text area that has a bunch of rows -->
						<td><label for="HTMLBody">HTML Body</label></td>
						<td><textarea name="HTMLBody" rows="30" cols="100"><?php echo trim($hxbody)?></textarea>
						</td>
					</tr>

					<tr>
						<td>
							<!-- Buttons - uses DIV rather than array rows columns -->
							<div>
								<input id="btnInsert" type="submit" name="action" value="Insert" />
							</div>
							<div
								<?php if ($postAction <> 'Retrieve') echo 'style="display:none;"'?>>
								<input id="btnUpdate" type="submit" name="action" value="Update" />
							</div>
							<div>
								<input id="btnRetrieve" type="submit" name="action"
									value="Retrieve" />
							</div>
						</td>

					</tr>
				</table>
			</form>

		</div>

		<div class="footer">2016 Greg Cannella</div>

	</div>

</body>
</html>
